import type { QuizQuestionBase, QuestionHint, QuestionBranchingRule } from "./shared";

export interface QuizQuestionNumber extends QuizQuestionBase {
  type: "number";
  content: {
    id: string;
    /** Чекбокс "Необязательный вопрос" */
    required: boolean;
    /** Чекбокс "Внутреннее название вопроса" */
    innerNameCheck: boolean;
    /** Поле "Внутреннее название вопроса" */
    innerName: string;
    /** Диапазон */
    range: string;
    /** Начальное значение */
    start: number;
    /** Начальное значение */
    defaultValue: number;
    /** Шаг */
    step: number;
    steps: number;
    /** Чекбокс "Выбор диапазона (два ползунка)" */
    chooseRange: boolean;
    hint: QuestionHint;
    rule: QuestionBranchingRule;
    back: string | null;
    originalBack: string | null;
    autofill: boolean;
    form: "star" | "trophie" | "flag" | "heart" | "like" | "bubble" | "hashtag";
  };
}
