type PhoneMasksByCountry = {
  [countryCode: string]: [string, string];
};

export const phoneMasksByCountry: PhoneMasksByCountry = {
  // СНГ
  RU: ["Russia +7", "+{7} (000) 000-00-00"], // Россия
  UA: ["Ukraine +380", "+{380} (00) 000-00-00"], // Украина
  BY: ["Belarus +375", "+{375} (00) 000-00-00"], // Беларусь
  KZ: ["Kazakhstan +7", "+{7} (000) 000-00-00"], // Казахстан
  UZ: ["Uzbekistan +998", "+{998} (00) 000-00-00"], // Узбекистан
  TJ: ["Tajikistan +992", "+{992} (00) 000-00-00"], // Таджикистан
  KG: ["Kyrgyzstan +996", "+{996} (000) 00-00-00"], // Кыргызстан
  TM: ["Turkmenistan +993", "+{993} (00) 00-00-00"], // Туркменистан
  AZ: ["Azerbaijan +994", "+{994} (00) 000-00-00"], // Азербайджан
  AM: ["Armenia +374", "+{374} (00) 000-000"], // Армения
  GE: ["Georgia +995", "+{995} (000) 00-00-00"], // Грузия

  // Европа
  DE: ["Germany +49", "+{49} 0000 0000000"], // Германия
  FR: ["France +33", "+{33} 0 00 00 00 00"], // Франция
  IT: ["Italy +39", "+{39} 000 000 0000"], // Италия
  ES: ["Spain +34", "+{34} 000 00 00 00"], // Испания
  GB: ["United Kingdom +44", "+{44} 0000 000000"], // Великобритания
  PL: ["Poland +48", "+{48} 000 000 000"], // Польша
  NL: ["Netherlands +31", "+{31} 00 000 0000"], // Нидерланды
  BE: ["Belgium +32", "+{32} 00 00 00 00"], // Бельгия
  CH: ["Switzerland +41", "+{41} 00 000 00 00"], // Швейцария
  AT: ["Austria +43", "+{43} 000 000 0000"], // Австрия
  DK: ["Denmark +45", "+{45} 00 00 00 00"], // Дания
  SE: ["Sweden +46", "+{46} 00 000 00 00"], // Швеция
  NO: ["Norway +47", "+{47} 000 00 000"], // Норвегия
  FI: ["Finland +358", "+{358} 00 000 0000"], // Финляндия
  CZ: ["Czech Republic +420", "+{420} 000 000 000"], // Чехия
  SK: ["Slovakia +421", "+{421} 000 000 000"], // Словакия
  HU: ["Hungary +36", "+{36} 00 000 0000"], // Венгрия
  RO: ["Romania +40", "+{40} 000 000 000"], // Румыния
  BG: ["Bulgaria +359", "+{359} 00 000 000"], // Болгария
  GR: ["Greece +30", "+{30} 000 000 0000"], // Греция
  PT: ["Portugal +351", "+{351} 000 000 000"], // Португалия
  IE: ["Ireland +353", "+{353} 00 000 0000"], // Ирландия

  // Азия
  CN: ["China +86", "+{86} 000 0000 0000"], // Китай
  JP: ["Japan +81", "+{81} 000-000-0000"], // Япония
  IN: ["India +91", "+{91} 00000 00000"], // Индия
  KR: ["South Korea +82", "+{82} 00-0000-0000"], // Южная Корея
  ID: ["Indonesia +62", "+{62} 0000 0000 0000"], // Индонезия
  TR: ["Turkey +90", "+{90} 000 000 00 00"], // Турция
  IL: ["Israel +972", "+{972} 00 000-0000"], // Израиль
  SA: ["Saudi Arabia +966", "+{966} 00 000 0000"], // Саудовская Аравия
  AE: ["United Arab Emirates +971", "+{971} 00 000 0000"], // ОАЭ
  TH: ["Thailand +66", "+{66} 00 000 0000"], // Таиланд
  VN: ["Vietnam +84", "+{84} 000 000 000"], // Вьетнам
  MY: ["Malaysia +60", "+{60} 00-000 0000"], // Малайзия
  PH: ["Philippines +63", "+{63} 000 000 0000"], // Филиппины

  // Северная Америка
  US: ["United States +1", "+{1} (000) 000-0000"], // США
  CA: ["Canada +1", "+{1} (000) 000-0000"], // Канада
  MX: ["Mexico +52", "+{52} 000 000 0000"], // Мексика

  // Южная Америка
  BR: ["Brazil +55", "+{55} (00) 0000-0000"], // Бразилия
  AR: ["Argentina +54", "+{54} 000 000-0000"], // Аргентина
  CO: ["Colombia +57", "+{57} 000 000 0000"], // Колумбия
  PE: ["Peru +51", "+{51} 000 000 000"], // Перу
  CL: ["Chile +56", "+{56} 00 000 0000"], // Чили
  EC: ["Ecuador +593", "+{593} 00 000 0000"], // Эквадор
  VE: ["Venezuela +58", "+{58} 000 000 0000"], // Венесуэла

  // Африка
  EG: ["Egypt +20", "+{20} 000 000 0000"], // Египет
  NG: ["Nigeria +234", "+{234} 000 0000 0000"], // Нигерия
  ZA: ["South Africa +27", "+{27} 000 000 0000"], // Южная Африка
  MA: ["Morocco +212", "+{212} 00 00 00 00"], // Марокко
  DZ: ["Algeria +213", "+{213} 00 00 00 00"], // Алжир
  KE: ["Kenya +254", "+{254} 000 000 000"], // Кения
  ET: ["Ethiopia +251", "+{251} 00 000 0000"], // Эфиопия

  // Австралия и Океания
  AU: ["Australia +61", "+{61} 0000 000 000"], // Австралия
  NZ: ["New Zealand +64", "+{64} 00 000 0000"], // Новая Зеландия
};
