import { createTheme } from "@mui/material";
import theme from "./generic";

const darkTheme = createTheme({
  ...theme,
  palette: {
    mode: "dark",
    primary: {
      main: "#ffffff",
    },
    secondary: {
      main: "#252734",
    },
    text: {
      primary: "#ffffff",
      secondary: "#7E2AEA",
    },
    background: {
      default: "#333647",
    },
    lightPurple: {
      main: "#333647",
    },
    darkPurple: {
      main: "#252734",
    },
    brightPurple: {
      main: "#7E2AEA",
    },
    grey1: {
      main: "#434657",
    },
    grey2: {
      main: "#9A9AAF",
    },
    grey3: {
      main: "#4D4D4D",
    },
    orange: {
      main: "#FB5607",
    },
    navbarbg: {
      main: "#333647",
    },
    ownPlaceholder: {
      main: "(51, 54, 71, 0.65)",
    },
  },
});

export default darkTheme;
